> ## Documentation Index
> Fetch the complete documentation index at: https://agentmail.manicule.dev/llms.txt
> Use this file to discover all available pages before exploring further.
> For every page in one file, fetch https://agentmail.manicule.dev/llms-full.txt (large).
> To search and read these docs as tools, connect the MCP server at https://agentmail.manicule.dev/api/mcp.
> Every agent surface: https://agentmail.manicule.dev/.well-known/llms-manifest.json

# Get Inbox (/api-reference/get-inbox-2)

<!-- agent-signals: reading_time_min: 2 · est_tokens: 1315 · updated: 2026-09-29 -->
Related: [Sign Up](/api-reference/sign-up.md), [Attach Human](/api-reference/attach-human.md), [Verify](/api-reference/verify.md), [List Inboxes](/api-reference/list-inboxes.md), [Create Inbox](/api-reference/create-inbox.md), [Search Inboxes](/api-reference/search-inboxes.md)

# Get Inbox

`GET /v0/pods/{pod_id}/inboxes/{inbox_id}`

> **CLI:**
> ```bash
> agentmail pods inboxes get --pod-id <pod_id> --inbox-id <inbox_id>
> ```

Base URL: `https://api.agentmail.to`

Base URL: `https://x402.api.agentmail.to`

Base URL: `https://mpp.api.agentmail.to`

Base URL: `https://api.agentmail.eu`

## OpenAPI

```json
{
  "servers": [
    {
      "url": "https://api.agentmail.to",
      "description": "prod"
    },
    {
      "url": "https://x402.api.agentmail.to",
      "description": "prod-x402"
    },
    {
      "url": "https://mpp.api.agentmail.to",
      "description": "prod-mpp"
    },
    {
      "url": "https://api.agentmail.eu",
      "description": "eu-prod"
    }
  ],
  "security": [
    {
      "Bearer": []
    }
  ],
  "securitySchemes": {
    "Bearer": {
      "type": "http",
      "scheme": "bearer"
    }
  },
  "parameters": [
    {
      "name": "pod_id",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "description": "ID of pod.",
        "title": "PodId"
      }
    },
    {
      "name": "inbox_id",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "description": "The ID of the inbox.",
        "title": "InboxId"
      }
    }
  ],
  "responses": {
    "200": {
      "description": "Response with status 200",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "pod_id": {
                "type": "string",
                "description": "ID of pod.",
                "title": "PodId"
              },
              "inbox_id": {
                "type": "string",
                "description": "The ID of the inbox.",
                "title": "InboxId"
              },
              "email": {
                "type": "string",
                "description": "Email address of the inbox.",
                "title": "Email"
              },
              "display_name": {
                "type": "string",
                "description": "Display name: `Display Name <username@domain.com>`.",
                "title": "DisplayName"
              },
              "client_id": {
                "type": "string",
                "description": "Client ID of inbox.",
                "title": "ClientId"
              },
              "metadata": {
                "type": "object",
                "additionalProperties": {
                  "oneOf": [
                    {
                      "type": "string"
                    },
                    {
                      "type": "number",
                      "format": "double"
                    },
                    {
                      "type": "boolean"
                    }
                  ],
                  "description": "A metadata value. May be a string, number, or boolean.",
                  "title": "MetadataValue"
                },
                "description": "Custom key-value pairs attached to the inbox. Up to 256 keys. Keys and\nstring values are each limited to 256 characters. When updating metadata,\nsend a key with a null value to remove that key.",
                "title": "Metadata"
              },
              "updated_at": {
                "type": "string",
                "format": "date-time",
                "description": "Time at which inbox was last updated."
              },
              "created_at": {
                "type": "string",
                "format": "date-time",
                "description": "Time at which inbox was created."
              }
            },
            "required": [
              "pod_id",
              "inbox_id",
              "email",
              "updated_at",
              "created_at"
            ],
            "title": "Inbox"
          }
        }
      }
    },
    "404": {
      "description": "Error response with status 404",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "name": {
                "type": "string",
                "description": "Name of error.",
                "title": "ErrorName"
              },
              "code": {
                "type": "string",
                "description": "Stable, machine-readable error code in snake_case (for example, not_found or missing_permission). Branch on this rather than the message text.",
                "title": "ErrorCode"
              },
              "message": {
                "type": "string",
                "description": "Error message.",
                "title": "ErrorMessage"
              },
              "fix": {
                "type": "string",
                "description": "The concrete next action that resolves the error.",
                "title": "ErrorFix"
              },
              "docs": {
                "type": "string",
                "description": "Link to the error reference entry for this code.",
                "title": "ErrorDocs"
              }
            },
            "required": [
              "name",
              "message"
            ],
            "title": "ErrorResponse"
          }
        }
      }
    }
  }
}
```
